package com.yidianling.consultant.router

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.support.v7.app.AppCompatActivity
import com.yidianling.router.RouterManager

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/04/23
 */
object ConsultantIn {

    // 打开小壹聊天界面
    fun startP2PXiaoYi(context: Context) {
        RouterManager.getImRouter().startP2PXiaoYi(context)
    }

    fun startP2PSession(context: AppCompatActivity, toUid: String) {
        RouterManager.getImRouter().startP2PSession(context, toUid)
    }

    fun mainIntent(activity: Activity): Intent? {
        return RouterManager.getAppRouter()?.mainIntent(activity)
    }

}